# WOK
TKWOK
WOKTools

# WOKTools_HSequenceOfBoolean Class Reference

`#include <WOKTools_HSequenceOfBoolean.hxx>`

## Public Member Functions

| WOKTools_HSequenceOfBoolean ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Standard_Boolean &anItem)
Standard_EXPORT void | Append (const Handle(WOKTools_HSequenceOfBoolean)&aSequence)
Standard_EXPORT void | Prepend (const Standard_Boolean &anItem)
Standard_EXPORT void | Prepend (const Handle(WOKTools_HSequenceOfBoolean)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Standard_Boolean &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKTools_HSequenceOfBoolean)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Standard_Boolean &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKTools_HSequenceOfBoolean)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKTools_HSequenceOfBoolean | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Standard_Boolean &anItem)
Standard_EXPORT const Standard_Boolean & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Standard_Boolean & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKTools_SequenceOfBoolean & | Sequence () const
WOKTools_SequenceOfBoolean & | ChangeSequence ()
Standard_EXPORT Handle_WOKTools_HSequenceOfBoolean | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKTools_SequenceOfBoolean | mySequence

## Constructor & Destructor Documentation

WOKTools_HSequenceOfBoolean::WOKTools_HSequenceOfBoolean | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Append | ( | const Handle(WOKTools_HSequenceOfBoolean)& | aSequence | ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Append | ( | const Standard_Boolean & | anItem | ) |

WOKTools_SequenceOfBoolean& WOKTools_HSequenceOfBoolean::ChangeSequence | ( |  | ) |

Standard_EXPORT Standard_Boolean& WOKTools_HSequenceOfBoolean::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Clear | ( |  | ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKTools_HSequenceOfBoolean::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfBoolean::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_HSequenceOfBoolean)& | aSequence
| ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Standard_Boolean & | anItem
| ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_HSequenceOfBoolean)& | aSequence
| ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Standard_Boolean & | anItem
| ) |

Standard_Boolean WOKTools_HSequenceOfBoolean::IsEmpty | ( |  | ) | const

Standard_Integer WOKTools_HSequenceOfBoolean::Length | ( |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Prepend | ( | const Handle(WOKTools_HSequenceOfBoolean)& | aSequence | ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Prepend | ( | const Standard_Boolean & | anItem | ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKTools_HSequenceOfBoolean::Reverse | ( |  | ) |

const WOKTools_SequenceOfBoolean& WOKTools_HSequenceOfBoolean::Sequence | ( |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfBoolean::SetValue | ( | const Standard_Integer | anIndex,
|  | const Standard_Boolean & | anItem
| ) |

Standard_EXPORT Handle_WOKTools_HSequenceOfBoolean WOKTools_HSequenceOfBoolean::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKTools_HSequenceOfBoolean WOKTools_HSequenceOfBoolean::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Standard_Boolean& WOKTools_HSequenceOfBoolean::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKTools_SequenceOfBoolean WOKTools_HSequenceOfBoolean::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKTools_HSequenceOfBoolean.hxx